/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package adresar2;

import java.io.Serializable;

/**
 *
 * @author petr
 */
public class Adresar implements Serializable {

    /**
     * Křestní jméno.
     */
    private String firstName;
    /**
     * Příjmení.
     */
    private String lastName;
    /**
     * Ulice
     */
    private String street;
    /**
     * Číslo popisné
     */
    private String cisloPopisne;
    /**
     * Město
     */
    private String city;
    /**
     * Poštovní směrovací číslo
     */
    private String psc;
    /**
     * Telefon
     */
    private String phone;

    public Adresar() {
        this("", "", "", "", "", "", "");
    }

    public Adresar(String firstName, String lastName, String street,
            String cisloPopisne, String city, String psc, String phone) {

        setFirstName(firstName);
        setLastName(lastName);
        setStreet(street);
        setCisloPopisne(cisloPopisne);
        setCity(city);
        setPSC(psc);
        setPhone(phone);
    }
// <editor-fold defaultstate="collapsed" desc="Metody set">

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public void setCisloPopisne(String cisloPopisne) {
        this.cisloPopisne = cisloPopisne;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public void setPSC(String psc) {
        this.psc = psc;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
//</editor-fold>

    public void setAttributesAsStrings(String[] attrs) throws ArrayIndexOutOfBoundsException {
        setFirstName(attrs[0]);
        setLastName(attrs[1]);
        setStreet(attrs[2]);
        setCisloPopisne(attrs[3]);
        setCity(attrs[4]);
        setPSC(attrs[5]);
        setPhone(attrs[6]);
    }
//<editor-fold defaultstate="collapsed" desc="Metody get">

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public String getStreet() {
        return street;
    }

    public String getCisloPopisne() {
        return cisloPopisne;
    }

    public String getCity() {
        return city;
    }

    public String getPSC() {
        return psc;
    }

    public String getPhone() {
        return phone;
    }
//</editor-fold>

    static int getAttributesCount() {
        return 7;
    }

    public String[] getAttributesAsStrings() {
        String[] attrs = new String[7];
        attrs[0] = getFirstName();
        attrs[1] = getLastName();
        attrs[2] = getStreet();
        attrs[3] = getCisloPopisne();
        attrs[4] = getCity();
        attrs[5] = getPSC();
        attrs[6] = getPhone();
        return attrs;
    }

    @Override
    public String toString() {
        return String.format("%-10s %-10s %-20s %-10s %-15s %-10s %-10s%n", getFirstName(),
                getLastName(), getStreet(), getCisloPopisne(), getCity(),
                getPSC(), getPhone());
    }
}