/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package xmlwriter;

import adresar2.Adresar;
import adresar2.ObjectReadAdresar;
import java.io.EOFException;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author petr
 */
public class XMLObjectWriterTest {

    public static void main(String[] args) throws FileNotFoundException, UnsupportedEncodingException {
        ObjectReadAdresar reader = new ObjectReadAdresar();
        List<XMLarisable> adresare = new ArrayList<XMLarisable>();

        try {
            reader.openFile("adresar.dat");
            Adresar a;
            while(true) {
                try {
                    adresare.add(new XMLAdresar(reader.nextAdresar()));
                } catch(EOFException e) {
                    // konec souboru
                    break;
                }
            }
            reader.closeFile();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }

        XMLObjectWriter writer = new XMLObjectWriter("adresare", "adresar.dtd");
        writer.openFile("adresar.xml");
        writer.writeAsXML(adresare);
        writer.closeFile();
    }
}